CGAL 6.1.2 - 2D Triangulation Data Structure: TriangulationDataStructure_2::Face_data Concept Reference

CGAL 6.1.2 - 2D Triangulation Data Structure

Loading...
Searching...
No Matches
List of all members
TriangulationDataStructure_2::Face_data Concept Reference
Reference Manual » Concepts

## Definition

Various algorithms using a triangulation data structure, such as Delaunay triangulations or Alpha Shapes, must be able to associate a state to a face elemental. For efficiency, this information must be stored directly within the face.

This class is only meant to store a state (Boolean). Consequently, the state must be the default value (i.e. `false`) unless a setting function (`mark_in_conflict()`, etc.) has been called.

The three states are "in conflict", "on boundary", and "processed". By default, a face is not in conflict, not on boundary, and not processed.

See also
  `TriangulationDataStructure_2::Face`

## Setting
void | clear ()
| Clears all flags: the face is neither in conflict, nor on the boundary, nor processed.
void | mark_in_conflict ()
| Sets the "in conflict" state to `true`.
void | mark_on_boundary ()
| Sets the "on boundary" state to `true`.
void | mark_processed ()
| Sets the "processed" state to `true`.

## Access Functions
bool | is_clear ()
| Checks whether the face has default state (not in conflict, not on boundary, not processed).
bool | is_in_conflict ()
| Returns whether the face has been marked as "in conflict".
bool | is_on_boundary ()
| Returns whether the face has been marked as "on boundary".
bool | processed ()
| Returns whether the face has been marked as "processed".

## Member Function Documentation

## ◆ mark_in_conflict()

void TriangulationDataStructure_2::Face_data::mark_in_conflict | ( |  | ) |

Sets the "in conflict" state to `true`.

Postcondition
  `is_in_conflict()` returns `true`

## ◆ mark_on_boundary()

void TriangulationDataStructure_2::Face_data::mark_on_boundary | ( |  | ) |

Sets the "on boundary" state to `true`.

Postcondition
  `is_on_boundary()` returns `true`

## ◆ mark_processed()

void TriangulationDataStructure_2::Face_data::mark_processed | ( |  | ) |

Sets the "processed" state to `true`.

Postcondition
  `processed()` returns `true`